<template>
  <div>
    <rui-empty v-if="resourceInteractionsToSync.length === 0" :content="$t('js.admin.import.nothing_to_import')" />
    <gpa-diffs v-else
               :current-base-url="baseUrl"
               :trusted-class="trustedClass"
               :entities-to-sync="resourceInteractionsToSync" />
  </div>
</template>

<script>
import RuiEmpty from '@experiments-labs/rise_ui/src/components/DataDisplay/Empty/Empty.vue'
import GpaDiffs from './Diff/Diffs.vue'
import TrustedResourceInteraction from '../../../classes/models/trustedData/TrustedResourceInteraction'

export default {
  name: 'GpaResourceInteraction',
  components: { RuiEmpty, GpaDiffs },
  data () {
    return {
      trustedClass: TrustedResourceInteraction,
      baseUrl: '/admin/resource_interactions',
    }
  },
  computed: {
    resourceInteractionsToSync () { return this.$store.getters.resourceInteractionsToSync },
  },
}
</script>
